package domain


type AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo struct {
    /*
        营销活动Id     */
    ActivityId  *string `json:"activity_id,omitempty" `

    /*
        营销活动类型     */
    ActivityType  *string `json:"activity_type,omitempty" `

    /*
        优惠金额，单位：分     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        该活动下商家分摊优惠金额，单位：分     */
    MerchantDiscountFee  *int64 `json:"merchant_discount_fee,omitempty" `

    /*
        该活动下平台分摊优惠金额，单位：分     */
    PlatformDiscountFee  *int64 `json:"platform_discount_fee,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetActivityId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.ActivityId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetActivityType(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.ActivityType = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetMerchantDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.MerchantDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetPlatformDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.PlatformDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) SetActivityName(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo {
    s.ActivityName = &v
    return s
}
